<?php
namespace admin\controls;

class Dictionaries {
  public static function view_list()
  {
    return \Tpl::view( 'dictionaries/units-list' );
  }

  public static function unit_edit()
  {
    return \Tpl::view( 'dictionaries/unit-edit', [
      'unit' => \admin\factory\Dictionaries::unit_details( \S::get( 'id' )),
      'languages' => \admin\factory\Languages::languages_list(),
    ] );
  }

  static public function unit_save()
  {
    $response = [ 'status' => 'error', 'msg' => 'Podczas zapisywania jednostki miary wystąpił błąd. Proszę spróbować ponownie.' ];
    $values = json_decode( \S::get( 'values' ), true );

    if ( $id = \admin\factory\Dictionaries::unit_save( $values['id'], $values['text']) )
      $response = [ 'status' => 'ok', 'msg' => 'Jednostka miary została zapisana.', 'id' => $id ];

    echo json_encode( $response );
    exit;

  }

  static public function unit_delete()
  {
    if ( \admin\factory\Dictionaries::unit_delete( \S::get( 'id' ) ) )
      \S::alert( 'Jesdnostka miary została usunięta.' );

    header( 'Location: /admin/dictionaries/view_list/' );
    exit;
  }
}
